From 88e4b404d78da22446bfadf403fb074f466a0c99 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Mon, 13 May 2019 16:11:30 +0200
Subject: [PATCH 286/308] tmplgen: rebuild for libressl-2.9.2.

---
 srcpkgs/tmplgen/template | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/tmplgen/template b/srcpkgs/tmplgen/template
index e393be7a984..807e385fbf8 100644
--- a/srcpkgs/tmplgen/template
+++ b/srcpkgs/tmplgen/template
@@ -1,7 +1,7 @@
 # Template file for 'tmplgen'
 pkgname=tmplgen
 version=1.3.1
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="libressl-devel"
@@ -12,6 +12,10 @@ homepage="https://github.com/Cogitri/tmplgen"
 distfiles="https://static.crates.io/crates/tmplgen/tmplgen-${version}.crate"
 checksum=5e5dc4b3e50f4f2dc87f510bb3d1547a86ecd5a52c0f33305a0a7a3dca40bee9
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+}
+
 post_install() {
 	vman man/tmplgen.1
 }

